*** config.h.orig	Wed Oct  2 02:24:48 1996
--- config.h	Fri Oct 11 07:25:37 1996
***************
*** 4,10 ****
  #include "defaults.h"
  
  
! #define VERSION_STRING "freeWAIS-sf 2.1 PL 0"
  
  /* Define if int type is four byte long */
  #define FOUR_BYTE_INT 1
--- 4,10 ----
  #include "defaults.h"
  
  
! #define VERSION_STRING "freeWAIS-sf 2.1 PL 2 (Japanized with KAKASI-2.2.5)"
  
  /* Define if int type is four byte long */
  #define FOUR_BYTE_INT 1
***************
*** 305,308 ****
--- 305,325 ----
  
  /* Do we want to use ctype that comes with freeWAIS-sf */
  #define MYCTYPE 1
+ #ifdef MYCTYPE
+ #define LCHARS ""
+ #define UCHARS ""
+ #endif /* MYCTYPE */
+ 
+ /* JAPANESE:
+  *     Japanization flag, original patch   by Shin Michimuko
+  *                        additional patch by Hajime BABA
+  */
+ #define JAPANESE 1
  
+ #ifdef JAPANESE
+ #define NKF_COMMAND "/usr/local/bin/nkf -jmZ"
+ #define KAKASI_COMMAND "/usr/local/bin/kakasi -ijis -oeuc -w -c'>|'"
+ #define SKIP_UUENCODE /**/
+ #define UNCOMPRESSOR "/bin/zcat"
+ #define UNZIPPER "/bin/zcat"
+ #endif /* JAPANESE */
